var inquirer = require('inquirer');
var download = require('download-git-repo');
var ora = require('ora');
var chalk = require('chalk');

const question = [
  {
    type: 'input',
    name: 'name',
    message: 'Template name:',
    validate (val) {
      if (val !== '') {
        return true;
      }
      return 'Name is required!';
    }
  },
  {
    type: 'input',
    name: 'place',
    message: 'Where to init the project:',
    default: './'
  }
];


module.exports = inquirer.prompt(question).then(({name, place}) => {
	var spinner = ora('Downloading template...');
	spinner.start();
	download('https://github.com:SeasonCCC/rollup-jquery', `${place}/${name}`, { clone: true }, (err) =>{
		if (err) {
			console.log(chalk.red(err))
			process.exit()
		}
		spinner.stop()
		console.log(chalk.green('New project has been initialized successfully!'))
	});
});